Name:           libwebcam
Version:        0.2.2
Release:        1%{?dist}
Summary:        A library for user-space configuration of the uvcvideo driver
Group:          System Environment/Libraries
License:        LGPLv3+
URL:            http://sourceforge.net/p/libwebcam/wiki/Home/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.gz
Patch0:         libwebcam-silence-uvcdynctrl.patch
Patch1:         0001-Make-CMakeLists.txt-recognize-the-standard-LIB_INSTA.patch
BuildRequires:  cmake
BuildRequires:  gengetopt
BuildRequires:  libxml2-devel

%description
Libwebcam provides a user-space library for interaction with the uvcvideo
kernel driver. One could use this library to manipulate settings for one
or many UVC-type webcams found attached on a single computer.


%package devel
Summary:        Development libraries and headers for libwebcam
Requires:       %{name} = %{version}-%{release}

%description devel
Development libraries and headers for libwebcam.


%package -n uvcdynctrl
Summary:        Command line interface to libwebcam
Group:          Applications/Multimedia
License:        GPLv3
Requires:       %{name} = %{version}-%{release}
Requires:       uvcdynctrl-data = %{version}-%{release}

%description -n uvcdynctrl
Uvcdynctrl is a command line interface for manipulating settings in
UVC-type webcams. It uses the libwebcam library for webcam access.


%package -n uvcdynctrl-data
Summary:        XML control file for the uvcdynctrl package
Group:          Applications/Multimedia
License:        GPLv3
Requires:       uvcdynctrl = %{version}-%{release}
BuildArch:      noarch

%description -n uvcdynctrl-data
XML control file for the uvcdynctrl package.


%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p1
%patch1 -p1


%build
%cmake
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libwebcam.a


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc libwebcam/README libwebcam/COPYING.LESSER
%{_libdir}/libwebcam.so.*


%files devel
%{_includedir}/webcam.h
%{_libdir}/libwebcam.so
%{_libdir}/pkgconfig/libwebcam.pc


%files -n uvcdynctrl
%doc uvcdynctrl/README uvcdynctrl/COPYING
%{_bindir}/uvcdynctrl*
/lib/udev/uvcdynctrl
/lib/udev/rules.d/80-uvcdynctrl.rules
%{_mandir}/man1/uvcdynctrl*.1*


%files -n uvcdynctrl-data
%{_datadir}/uvcdynctrl


%changelog
* Mon May 21 2012 Hans de Goede <hdegoede@redhat.com> - 0.2.2-1
- New upstream release 0.2.2
- This fixes uvcdynctrl not working with recent kernels

* Thu Jan 05 2012 Michael Cronenworth <mike@cchtml.com> - 0.2.0-5.20100322svn
- Rebuilt for GCC 4.7

* Tue Feb 08 2011 Michael Cronenworth <mike@cchtml.com> - 0.2.0-4.20100322svn
- Update V4Lv1 patch for another usage case

* Tue Feb 08 2011 Michael Cronenworth <mike@cchtml.com> - 0.2.0-3.20100322svn
- Remove V4Lv1 header (removed in kernel 2.6.38+)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2.20100322svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 19 2010 Michael Cronenworth <mike@cchtml.com> - 0.2.0-1.20100322svn
- Initial package.
